"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var AlertDirective = /** @class */ (function (_super) {
    tslib_1.__extends(AlertDirective, _super);
    function AlertDirective(timeout) {
        var _this = _super.call(this) || this;
        _this.timeout = timeout;
        return _this;
    }
    AlertDirective_1 = AlertDirective;
    AlertDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var alertType = scope.alertType;
        var timeout = parseInt(scope.timeout);
        instanceElement.addClass("alert");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(alertType))
            instanceElement.addClass(alertType);
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(timeout))
            this.timeout(function () { return scope.close(); }, timeout);
    };
    AlertDirective.factory = function (timeout) {
        return new AlertDirective_1(timeout);
    };
    AlertDirective = AlertDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "alert",
            restrict: "A",
            bindings: {
                alertType: "@",
                timeout: "@",
                close: "&"
            },
            dependencies: [angular_service_1.AngularServices.timeout]
        })
    ], AlertDirective);
    return AlertDirective;
    var AlertDirective_1;
}(base_directive_1.DirectiveBase));
exports.AlertDirective = AlertDirective;
