/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IDirective, IScope, IAttributes, IController, ITranscludeFunction, IPromise } from "angular";
export declare abstract class DirectiveBase implements IDirective {
    link: (scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction) => void;
    constructor();
    protected abstract create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): any;
    protected dispose(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    protected call<T>(call: () => IPromise<T>, success?: (result: T) => void, loading?: (loading: boolean) => void, fail?: (reason: any) => void): void;
    protected getOptions<T>(instanceAttributes: IAttributes, optionsParameter: string): T;
    protected tryGetInt(options: any, instanceAttributes: IAttributes, optionFrom: string, optionTo?: string): number;
    protected tryGetNumber(options: any, instanceAttributes: IAttributes, optionFrom: string, optionTo?: string): number;
    protected tryGetDate(options: any, instanceAttributes: IAttributes, optionFrom: string, optionTo?: string): number;
    protected tryGetBoolean(options: any, instanceAttributes: IAttributes, optionFrom: string, optionTo?: string): boolean;
    protected tryGet(options: any, instanceAttributes: IAttributes, optionFrom: string, optionTo?: string): string;
}
