"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var angular_service_1 = require("../services/angular.service");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var FileButtonDirective = /** @class */ (function (_super) {
    tslib_1.__extends(FileButtonDirective, _super);
    function FileButtonDirective(timeout) {
        var _this = _super.call(this) || this;
        _this.timeout = timeout;
        return _this;
    }
    FileButtonDirective_1 = FileButtonDirective;
    FileButtonDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var _this = this;
        var button = instanceElement.find("button");
        var file = instanceElement.find("input");
        button.on("click", function () { return file.trigger("click"); });
        file.on("change", function (e) {
            _this.timeout(function () {
                if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(e) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(e.target) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(e.target["files"]))
                    return;
                scope["fileSelected"]({ files: e.target["files"] });
            });
        });
    };
    FileButtonDirective.factory = function (timeout) {
        return new FileButtonDirective_1(timeout);
    };
    FileButtonDirective = FileButtonDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "fileButton",
            restrict: "E",
            bindings: {
                title: "@",
                ariaLabel: "@",
                accept: "@",
                caption: "@",
                cssClass: "@",
                fileSelected: "&"
            },
            template: '<input type="file" style="display: none" title="{{title}}" accept="{{accept}}" aria-label="{{ariaLabel}}" /><button type="button" class="{{cssClass}}">{{caption}}</button>',
            dependencies: [angular_service_1.AngularServices.timeout]
        })
    ], FileButtonDirective);
    return FileButtonDirective;
    var FileButtonDirective_1;
}(base_directive_1.DirectiveBase));
exports.FileButtonDirective = FileButtonDirective;
