"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var $ = require("jquery");
var ToggleClassDirective = /** @class */ (function (_super) {
    tslib_1.__extends(ToggleClassDirective, _super);
    function ToggleClassDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ToggleClassDirective_1 = ToggleClassDirective;
    ToggleClassDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var options = {};
        this.tryGet(options, instanceAttributes, "element");
        this.tryGet(options, instanceAttributes, "toggleClass");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(options.element)) {
            var element = $(options.element);
            if (!element.hasClass(options.toggleClass))
                element.addClass(options.toggleClass);
            else
                element.removeClass(options.toggleClass);
        }
    };
    ToggleClassDirective.factory = function () {
        return new ToggleClassDirective_1();
    };
    ToggleClassDirective = ToggleClassDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "toggleClass",
            restrict: "A"
        })
    ], ToggleClassDirective);
    return ToggleClassDirective;
    var ToggleClassDirective_1;
}(base_directive_1.DirectiveBase));
exports.ToggleClassDirective = ToggleClassDirective;
