"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_service_1 = require("./base.service");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var service_1 = require("../decorators/service");
////////////////////////////////////////////////////////////
// TODO: Replace these classes with a logging service
//       with log level and custom message body.
////////////////////////////////////////////////////////////
var LoggingServiceBase = /** @class */ (function (_super) {
    tslib_1.__extends(LoggingServiceBase, _super);
    function LoggingServiceBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LoggingServiceBase.prototype.writeMessage = function (message) { };
    LoggingServiceBase.prototype.writeWarning = function (message) { };
    LoggingServiceBase.prototype.writeError = function (message) { };
    LoggingServiceBase.prototype.getString = function (message) {
        return "[" + paradigm_ui_web_shared_1.DateExtensions.format(new Date(), "MM/dd/yy hh:mm:ss.fff") + "] - " + message;
    };
    return LoggingServiceBase;
}(base_service_1.ServiceBase));
exports.LoggingServiceBase = LoggingServiceBase;
var DummyLoggingService = /** @class */ (function (_super) {
    tslib_1.__extends(DummyLoggingService, _super);
    function DummyLoggingService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DummyLoggingService_1 = DummyLoggingService;
    DummyLoggingService.prototype.writeError = function (message) { console.error(this.getString(message)); };
    DummyLoggingService.factory = function () {
        return new DummyLoggingService_1();
    };
    DummyLoggingService = DummyLoggingService_1 = tslib_1.__decorate([
        service_1.Service({ name: "$pd-dummyLoggingService" })
    ], DummyLoggingService);
    return DummyLoggingService;
    var DummyLoggingService_1;
}(LoggingServiceBase));
exports.DummyLoggingService = DummyLoggingService;
var LoggingService = /** @class */ (function (_super) {
    tslib_1.__extends(LoggingService, _super);
    function LoggingService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LoggingService_1 = LoggingService;
    LoggingService.prototype.writeMessage = function (message) {
        console.info(this.getString(message));
    };
    LoggingService.prototype.writeWarning = function (message) {
        console.warn(this.getString(message));
    };
    LoggingService.prototype.writeError = function (message) {
        console.error(this.getString(message));
    };
    LoggingService.factory = function () {
        return new LoggingService_1();
    };
    LoggingService = LoggingService_1 = tslib_1.__decorate([
        service_1.Service({ name: "$pd-loggingService" })
    ], LoggingService);
    return LoggingService;
    var LoggingService_1;
}(LoggingServiceBase));
exports.LoggingService = LoggingService;
