"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var service_1 = require("../decorators/service");
var angular_service_1 = require("./angular.service");
var base_service_1 = require("./base.service");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UrlService = /** @class */ (function (_super) {
    tslib_1.__extends(UrlService, _super);
    function UrlService(sce) {
        var _this = _super.call(this) || this;
        _this.sce = sce;
        return _this;
    }
    UrlService_1 = UrlService;
    UrlService.prototype.getParsedUrl = function (url) {
        if (!paradigm_ui_web_shared_1.StringExtensions.isString(url))
            return url;
        if (paradigm_ui_web_shared_1.StringExtensions.isNullOrEmpty(url))
            return url;
        if (url.indexOf("http://") < 0 && url.indexOf("https://") < 0)
            url = "http://" + url;
        return this.sce.trustAsUrl(url);
    };
    UrlService.factory = function (sce) {
        return new UrlService_1(sce);
    };
    UrlService = UrlService_1 = tslib_1.__decorate([
        service_1.Service({
            name: "$pd-urlService",
            dependencies: [angular_service_1.AngularServices.sce]
        })
    ], UrlService);
    return UrlService;
    var UrlService_1;
}(base_service_1.ServiceBase));
exports.UrlService = UrlService;
